Bug 892089

Summary: regression: scrollbar does not work, sometimes
Product: [Fedora] Fedora Reporter: Jan Kratochvil <jan.kratochvil>
Component: firefoxAssignee: Gecko Maintainer <gecko-bugs-nobody>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 17CC: gecko-bugs-nobody, jan.kratochvil, kas, psz, rh-bugzilla, stransky, trevor
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: firefox-18.0-1.fc17.x86_64 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 879595 Environment:
Last Closed: 2013-01-22 19:28:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 879595    
Bug Blocks:    

Description Jan Kratochvil 2013-01-05 07:16:24 UTC
+++ This bug was initially created as a clone of Bug #879595 +++

Version-Release number of selected component (if applicable):
firefox-17.0.1-1.fc17.x86_64
xulrunner-17.0.1-3.fc17.x86_64
xfwm4-4.8.3-3.fc17.x86_64

How reproducible:
Once a day.

--- Additional comment from Jan Kratochvil on 2012-12-25 08:49:58 CET ---

Created attachment 668767 [details]
Scrollbar bug screenshot.

You can see I am at the top of the page but the scrollbar is at the bottom.
Reproducible about once a day.  The scrollbar updates its position either after ~5 seconds or after clicking into a different window and back.  One can scroll by mouse dragging the scrollbar, by the mouse scrollerbutton or by PgUp/PgDn and the scrollbar remains not updated.
It is a Firefox 17 regression.

--- Additional comment from Trevor Cordes on 2012-12-26 19:34:12 CET ---

I have this bug too.  I use xfce + sawfish also, so if the whole world isn't seeing this bug it's probably specific to sawfish.

firefox-17.0.1-1.fc16.i686 shows this bug for me.  Downgrade to firefox-16.0.2-1.fc16.i686 fixes the bug.

I don't see any F16 updates yet in the main repos so I am using 16.0.2.1 for now.

Comment 1 Jan Kratochvil 2013-01-22 19:28:09 UTC
It is most probably fixed in firefox-18.0-1.fc17.x86_64 / xulrunner-18.0-6.fc17.x86_64, at least IIRC I have not seen it so far.